FreeMat

- Main Page
- Related Pages

vtkImageSobel2D

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageSobel2D computes a vector field from a scalar field by using Sobel functions. The number of vector components is 2 because the input is an image. Output is always doubles.

To create an instance of class vtkImageSobel2D, simply invoke its constructor as follows

      obj = vtkImageSobel2D

# Methods

The class vtkImageSobel2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageSobel2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageSobel2D = obj.NewInstance ()`
- `vtkImageSobel2D = obj.SafeDownCast (vtkObject o)`